---
lang: en
title: 'API docs: core.application.start'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.application.start.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [start](./core.application.start.md)

## Application.start() method

Start the application, and all of its registered observers. The application state is checked to ensure the integrity of `start`<!-- -->.

If the application is not initialized, it calls first `init()` to initialize the application. This only happens if `start()` is called for the first time.

If the application is already started, no operation is performed.

**Signature:**

```typescript
start(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;


